<?php

// array parameters to be rewritten
$rewriteParams = array("form_fields" => array (
		"yourname" => "yourname", 
		"yourage" => "yourage"
		)
	);

// array parameters that shouldn't be passed
$dontPassParams = array("form_fields");

// the URL to redirect to (without the parameters that will be rewritten)
$redirectUrl = "base.php";

// No changes below

$newParams = array();
foreach($_GET as $paramName => $paramValue)
{
	if (array_key_exists($paramName, $rewriteParams))
	{
		foreach($rewriteParams[$paramName] as $rewriteParamName => $rewriteParamValue)
		{
			if (isset($paramValue) && is_array($paramValue) && isset($paramValue[$rewriteParamName]))
				$newParams[$rewriteParamValue] = $paramValue[$rewriteParamName];
		}
	}
	if (!in_array($paramName, $dontPassParams))
		$newParams[$paramName] = $paramValue;
}

$redirectUrl .= (strpos($redirectUrl, '?') !== false ? '&' : '?') . http_build_query($newParams);


header("Location: " . $redirectUrl); /* Redirect browser */
exit();

